Opened 3 years ago

Closed 3 years ago

#19692 closed defect (fixed)

stem.util.connection.address_to_int fails

Reported by: toralf Owned by: atagar
Priority: Medium Milestone:
Component: Core Tor/Stem Version: Tor: unspecified
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Hi

======================================================================
                              UNIT TESTS                              
======================================================================

  util.enum...                                         success (0.00s)
  util.connection...                                   failed
Traceback (most recent call last):
Traceback (most recent call last):
  File "./run_tests.py", line 370, in _run_test
    suite = unittest.TestLoader().loadTestsFromName(test_class)
  File "/usr/lib64/python3.4/unittest/loader.py", line 105, in loadTestsFromName
    module = __import__('.'.join(parts_copy))
  File "/home/tfoerste/devel/stem/test/unit/util/connection.py", line 506
    self.assertEqual(338288524927261089654163772891438416681L, stem.util.connection.address_to_int('fe80:0000:0000:0000:0202:b3ff:fe1e:8329'))
                                                            ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./run_tests.py", line 405, in <module>
    main()
  File "./run_tests.py", line 193, in main
    run_result = _run_test(args, test_class, output_filters, logging_buffer)
  File "./run_tests.py", line 380, in _run_test
    traceback.print_exc(exc)
  File "/usr/lib64/python3.4/traceback.py", line 252, in print_exc
    print_exception(*sys.exc_info(), limit=limit, file=file, chain=chain)
  File "/usr/lib64/python3.4/traceback.py", line 169, in print_exception
    for line in _format_exception_iter(etype, value, tb, limit, chain):
  File "/usr/lib64/python3.4/traceback.py", line 153, in _format_exception_iter
    yield from _format_list_iter(_extract_tb_iter(tb, limit=limit))
  File "/usr/lib64/python3.4/traceback.py", line 18, in _format_list_iter
    for filename, lineno, name, line in extracted_list:
  File "/usr/lib64/python3.4/traceback.py", line 58, in _extract_tb_or_stack_iter
    while curr is not None and (limit is None or n < limit):
TypeError: unorderable types: int() < SyntaxError()

happens at a hardened Gentoo Linux desktop, issue introduced between 2a869fc..fd507a6

Child Tickets

Change History (2)

comment:1 Changed 3 years ago by toralf

python3 issue - python2 works

comment:2 Changed 3 years ago by atagar

Resolution: fixed
Status: newclosed

Oops, thanks for the catch! Fixed.

Note: See TracTickets for help on using tickets.